#
# spec file for package gdouros-aegean-fonts
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define fontname aegean-fonts

Name:           gdouros-aegean-fonts
Version:        8.00
Release:        6.1
Summary:        Font with Support for Ancient Aegean and Eastern Mediterranean Scripts
License:        SUSE-Permissive
Group:          System/X11/Fonts
Url:            http://users.teilar.gr/~g1951d/
Source:         %{fontname}-%{version}.tar.bz2
BuildRequires:  fontpackages-devel
%reconfigure_fonts_prereq
%define _ttfontsdir     /usr/share/fonts/truetype
Obsoletes:      %{fontname} < 7.12
Provides:       %{fontname} = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Aegean covers the following scripts and symbols supported by Unicode: Basic Latin, Greek and Coptic, Greek Extended, some Punctuation and other Symbols, Linear B Syllabary, Linear B Ideograms, Aegean Numbers, Ancient Greek Numbers, Ancient Symbols, Phaistos Disc, Lycian, Carian, Old Italic, Ugaritic, Old Persian, Cypriot Syllabary, Phoenician, Lydian, and Archaic Greek Musical Notation. Aegean allocates in Plane 15 of the UCS the following scripts and symbols, as yet unsupported by Unicode: Cretan Hieroglyphs, Cypro-Minoan, Linear A, the Arkalochori Axe, signs on Troy vessels and the Dispilio tablet. In this version Linear A and B have been expanded with variant glyphs. The Tsepis stele variant of the Cypriot Syllabary has been added as its Open Type Stylistic Set VI.

%prep
%setup -q -n %{fontname}-%{version}

%build

%install
mkdir -p %{buildroot}%{_ttfontsdir}
install -m 0644 *.ttf %{buildroot}%{_ttfontsdir}/

%reconfigure_fonts_scriptlets

%files
%defattr(-,root,root)
%doc README-SUSE *.pdf
%{_ttfontsdir}

%changelog
* Mon Jun 22 2015 aloisio@gmx.com
- update to version 8.00
  * added hinted variant
  * added Cypro-Minoan font (ver. 7.81)
  * added Cretan font (ver. 7.42)
- replaced licence file with a note from the website and
  added official pdf description
* Tue Jan 21 2014 pgajdos@suse.com
- updated to 7.12
  * no upstream changelog
  * leaving README of version 6.00 as upstream doesn't provide it
    anymore
* Wed Jul  4 2012 pgajdos@suse.cz
- amend spec file to reflect new font packaging scheme
  (see openFATE#313536);
* Thu May 17 2012 pgajdos@suse.com
- call spec-cleaner
* Wed Apr 18 2012 pgajdos@suse.com
- SUSE-Permissive license
* Wed Dec 14 2011 toms@suse.de
- Renamed aegean-fonts -> gdouros-aegean-fonts according to
  openSUSE packaging guidelines and FATE#313035
  Adjusted Obsoletes and Provides accordingly
* Fri Jul  1 2011 bachinchi@gmail.com
- Initial package for Aegean Font
